ONVIF::PTZ::Types::NetworkZeroConfiguration(3pm)

NAME
ONVIF::PTZ::Types::NetworkZeroConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType NetworkZeroConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   InterfaceToken

•   Enabled

•   Addresses

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::NetworkZeroConfiguration
   InterfaceToken => $some_value, # ReferenceToken
   Enabled =>  $some_value, # boolean
   Addresses => $some_value, # IPv4Address
   Extension =>  { # ONVIF::PTZ::Types::NetworkZeroConfigurationExtension
     Extension =>  { # ONVIF::PTZ::Types::NetworkZeroConfigurationExtension2
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL